/*
 *  SID_Amiga.i - 6581 emulation, Amiga specific stuff
 *
 *  Frodo (C) 1994-1997,2002 Christian Bauer
 */

/*
 *  Initialization, create sub-process
 */
 
 #include "VIC.h"

void DigitalRenderer::init_sound(void)
{
	ready=true;
	line=0;
	frame=0;
	type=SIDTYPE_DIGITAL;
}


/*
 *  Destructor, delete sub-process
 */

DigitalRenderer::~DigitalRenderer()
{
/*
	// Tell sub-process to quit and wait for completion
	if (sound_process != NULL) {
		Signal(&(sound_process->pr_Task), 1 << quit_sig);
		Wait(1 << main_sig);
	}

	// Free signal
	FreeSignal(main_sig);
*/
}


/*
 *  Sample volume (for sampled voice)
 */

void DigitalRenderer::EmulateLine(void)
{
	sample_buf[sample_in_ptr] = volume;
	sample_in_ptr = (sample_in_ptr + 1) % SAMPLE_BUF_SIZE;
	
	if (line==0) {
		// TODO: fix hardcoded size. Size is in BYTES
		calc_buffer(the_c64->armletData->soundBuf, 882*2);
		frame++;
		//the_c64->armletData->soundBuf[0]=frame;
	}
	line=(line+1)%TOTAL_RASTERS;
}


/*
 *  Pause sound output
 */

void DigitalRenderer::Pause(void)
{
/*	if (sound_process != NULL)
		Signal(&(sound_process->pr_Task), 1 << pause_sig);
*/
}


/*
 *  Resume sound output
 */

void DigitalRenderer::Resume(void)
{
/*
	if (sound_process != NULL)
		Signal(&(sound_process->pr_Task), 1 << resume_sig);
        */
}

